FSSYNC-DEBUG(8)

NAME
fssync-debug, dafssync-debug - Introduction to the fssync-debug command suite

DESCRIPTION
The fssync-debug command suite allows low-level inspection and control of the file server volume packages. The dafssync-debug command suite is identical to fssync-debug, but is built with demand-attach support.

This command suite operates at an extremely low-level and hence requires detailed knowledge of the OpenAFS architecture and code. An understanding of the OpenAFS volume finite-state machine is required before the state of a volume should be manipulated. Indiscriminate use of fssync-debug or dafssync-debug in control mode can lead to extremely bad things occurring. Use with care.

OPTIONS
The following arguments and flags are available on many commands in the fssync-debug suite. The reference page for each command also lists them, but they may be described here in greater detail.

-volumeid <volume ID>
    Specifies the numeric volume ID. Volume names are not permitted.

-partition <exact partition name>
    Specifies the exact partition name (e.g. /vicepa). Abbreviations are not permitted.

-reason <sync protocol reason code>
    Specifies numeric sync protocol reason code. Available codes are listed in OpenAFS source file src/vol/fssync_inline.h. For SYNC_REASON_NONE, use -reason 0.

-programtype <program type code>
    Specifies program type code. Permitted values are fileServer, volumeUtility, salvager, salvageServer, volumeServer and volumeSalvager.

PRIVILEGE REQUIRED
The issuer must have write access to the file server. Usually, this means that the issuer must be the local superuser "root" on the file server machine.

SEE ALSO
fssync-debug_apropos(8), fssync-debug_attach(8), fssync-debug_callback(8), fssync-debug_detach(8), fssync-debug_error(8), fssync-debug_header(8), fssync-debug_help(8), fssync-debug_leaveoff(8), fssync-debug_list(8), fssync-debug_mode(8), fssync-debug_move(8), fssync-debug_offline(8), fssync-debug_online(8), fssync-debug_query(8), fssync-debug_stats(8), fssync-debug_vgcadd(8), fssync-debug_vgcdel(8), fssync-debug_vgcquery(8), fssync-debug_vgcscan(8), fssync-debug_vgcscanall(8), fssync-debug_vnode(8), fssync-debug_volop(8)

COPYRIGHT
Copyright 2010 Davor Ocelic <docelic@spinlocksolutions.com>

This documentation is covered by the IBM Public License Version 1.0. This man page was written by Davor Ocelic for OpenAFS, based on documentation from Steven Jenkins, Tom Keiser and Simon Wilkinson.